package com.fs.course.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.fs.common.annotation.Excel;
import lombok.Data;

import java.util.Date;
import java.util.List;

@Data
public class FsUserCourseCommentReplyListUVO {
    private Long commentId;

    /** 用户id */
    @Excel(name = "用户id")
    private Long userId;
    @Excel(name = "目标用户id")
    private Long toUserId;
    /** 课堂id */
    @Excel(name = "课堂id")
    private Long courseId;
    private String nickName;
    private String toNickName;
    private String avatar;
    /** 评论类型 1：评论，2：回复 */
    @Excel(name = "评论类型")
    private Long type;

    /** 父评论id */
    @Excel(name = "父评论id")
    private Long parentId;

    /** 评论内容 */
    @Excel(name = "评论内容")
    private String content;

    /** 回复数量 */
    @Excel(name = "回复数量")
    private Long replyCount;

    /** 点赞数 */
    @Excel(name = "点赞数")
    private Long likes;
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date createTime;
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date updateTime;

}
