package com.fs.statis.domain;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.Date;

/**
 * fs_statis_period_watch表 实体类
 *
 * @author AutoGenerator
 * @since now
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
@Builder
public class FsStatisPeriodWatch {

    /**
     * 主键ID (虽然注释中没有，但通常id为主键)
     */
    private Integer id;

    /**
     * 训练营id
     */
    private Integer periodId;

    /**
     * 训练营人数
     */
    private Integer periodNum;

    /**
     * 未报名人数
     */
    private Integer notRegNum;

    /**
     * 已报名人数
     */
    private Integer registeredNum;

    /**
     * 报名率
     */
    private Float regRate;

    /**
     * 完课率
     */
    private Float watchCompletedRate;

    /**
     * 未上线-总数
     */
    private Integer offlineTotal;

    /**
     * 未上线-未参与
     */
    private Integer offlineNotRegNum;

    /**
     * 未上线-未观看
     */
    private Integer offlineNotWatchNum;

    /**
     * 已上线-总数
     */
    private Integer onlineTotal;

    /**
     * 已上线-上线率
     */
    private Float onlineRate;

    /**
     * 已上线-上线完播率
     */
    private Float onlineWatchCompletedRate;

    /**
     * 已上线-未完播
     */
    private Integer onlineWatchNotCompleted;

    /**
     * 已上线-已完播
     */
    private Integer onlineWatchCompleted;

    /**
     * 数据日期
     */
    private Date dataDate;


    /**
     * 销售id
     */
    private Long companyUserId;

}
